netkit-ftp-ssl (0.17.34+0.2-5) unstable; urgency=medium

  * debian/patches/710_fix_ftbfs_gcc10.diff. Always use extern for hashstep
    in ftp_var.h. (Closes: #957597)
  * Bumped Standards-Version to 4.5.0
    - debian/control: Update Priority: to optional

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 03 Aug 2020 15:49:04 +0200

netkit-ftp-ssl (0.17.34+0.2-4.1) unstable; urgency=high

  * Non-maintainer upload
  * Use cmake as build system. Closes: #912126
  * Migrate to openssl 1.1, patches by Sebastian Andrzej Siewior.
    Closes: #859224

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 24 Feb 2019 14:39:23 +0100

netkit-ftp-ssl (0.17.34+0.2-4) unstable; urgency=medium

  * Correctly reuse SSL session identity in data connection.
    This suffices for libssl1.0, not for libssl1.1.  (Closes: #854460)
    + debian/patches/700_prefer_tls.diff: Reactivate commented out
      function call to SSL_copy_session_id().
    + debian/control: Prefer libssl1.0-dev and condition libssl-dev
      on "<< 1.1.0~" for trivial backporting.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 08 Feb 2017 18:39:46 +0100

netkit-ftp-ssl (0.17.34+0.2-3) unstable; urgency=low

  * Allow verification mode to print additional details about the
    certificate presented by the server, given that verbosity is set.
    + debian/patches/700_prefer_tls.diff: Updated.
    + debian/rules: Define macro BUILD_SSL_CLIENT.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 18 Jan 2017 19:33:56 +0100

netkit-ftp-ssl (0.17.34+0.2-2) unstable; urgency=low

  * Move TLS abilities closer to contemporary standard. The SSL option
    'cipher=list' works and 'cacert=file' makes verification possible.
    + debian/patches/700_prefer_tls.diff: New file.
  * debian/control: Reverse the order of libssl-dev and libssl1.0-dev.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 05 Jan 2017 15:54:53 +0100

netkit-ftp-ssl (0.17.34+0.2-1) unstable; urgency=low

  * Update to source version 0.17-34 of netkit-ftp.
  * Build-depend on libssl1.0-dev or on libssl-dev.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 14 Dec 2016 00:38:03 +0100

netkit-ftp (0.17-34) unstable; urgency=low

  * Increase Standards to 3.9.8, no changes.
  * Increase hardening level.
  * [lintian] Silence complaints on ancient source archive.
    + debian/source/lintian-overrides: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 06 Dec 2016 16:23:57 +0100

netkit-ftp-ssl (0.17.33+0.2-2) unstable; urgency=medium

  * Corrections to hash marking and tick counter.
    + debian/patches/660_hashes_and_ticks.diff: New file.
  * Failure to recognize an error condition.
    + debian/patches/670_capture_ssl_error.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 11 Jan 2016 18:30:52 +0100

netkit-ftp-ssl (0.17.33+0.2-1) unstable; urgency=low

  * Update to source version 0.17-33 of netkit-ftp.
    + debian/control: Set Build-Depends to '>= 9' for debhelper.
    + debian/compat: Update.
  * Bring in package changes from experimental to unstable.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 27 Apr 2015 20:16:15 +0200

netkit-ftp (0.17-33) unstable; urgency=low

  * Interchange maintainer and uploader.
  * Bring in package changes from experimental to unstable.
  * debian/control: Increase Build-Depends to ">= 9" for debhelper.
  * debian/compat: Update.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 27 Apr 2015 17:51:43 +0200

netkit-ftp-ssl (0.17.32+0.2-1) experimental; urgency=low

  * New maintainer and new uploader.
  * Update to netkit-ftp 0.17.32. (Closes: #684027)
    + debian/patches/*: Refresh many patches. Add some from netkit-ftp.
  * Tear down SSL session context when closing. (Closes: #774184)
    + debian/patches/650_broken_ssl_connection.diff: New file.
  * Update Standards to 3.9.6.
    + debian/rules: Add targets "build-arch" and "build-indep".
  * Follow netkit-ftp in using alternatives, allowing simultaneous
    installation with plain ftp.
    + debian/control: Replace "Conflicts" with "Breaks", keep "Replaces",
      but update both to state "ftp (<=0.17-31)".
    + debian/rules: Modify similarly to netkit-ftp.
    + debian/postinst: Likewise. Use priority 110 to gain precedence.
  * debian/rules: Implement hardening and cross builds like netkit-ftp.
  * debian/watch: Contact the server at "ftp.debian.org".
  * [lintian] debian/control: description-synopsis-starts-with-article

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 09 Jan 2015 16:31:41 +0100

netkit-ftp (0.17-32) experimental; urgency=medium

  * Increase Standards to 3.9.6, no changes.
  * Extended use of the alternatives subsystem.
    + debian/postinst: Add slave links for "pftp", "pftp.1.gz",
      and "netrc.5.gz".
    + debian/rules: Deactivate soft links "pftp", "pftp.1", rename
      "netrc.5", and remove installed files.
  * [lintian] Insufficiently named copyright conditions.
    + debian/copyright: Correct "BSD" to "BSD-3-clause".

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sun, 28 Dec 2014 00:05:02 +0100

netkit-ftp (0.17-31) unstable; urgency=medium

  * Syntax of hash command. (Closes: #754065)
    + debian/patches/070_hash_increments.diff: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 18 Jul 2014 13:07:54 +0200

netkit-ftp (0.17-30) unstable; urgency=low

  * Repair internal command "tick": printing and size.
    + debian/patches/070_hash_increments.diff: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 02 Jun 2014 22:06:17 +0200

netkit-ftp (0.17-29) unstable; urgency=low

  * Standards-Version: 3.9.5.
    + debian/rules: Add "build-arch", "build-indep".
  * Implement variable hash markings. (Closes: #731670)
    + debian/patches/070_hash_increments.diff: New file.
  * [lintian] debian/copyright: Comply with format version 1.0.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 17 May 2014 02:04:20 +0200

netkit-ftp (0.17-28) unstable; urgency=low

  * Patch from Colin Watson to fix cross-building. (Closes: #695007)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 03 Dec 2012 18:53:56 +0100

netkit-ftp (0.17-27) unstable; urgency=low

  * Support large files on 32-bit architectures:
    * Solution identified by Martin Hicks. (Closes: #671873)
    + debian/patches/060_full_offset_range.diff: New file.
  * debian/rules: Hardening via dpkg-buildflags.
  * debian/control: Standards 3.9.3, no changes.
    + Building now depends on dpkg-dev (>= 1.15.7).
  * Tiny description errors:
    + debian/patches/010_patches_in_sarge.diff: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 23 May 2012 20:08:11 +0200

netkit-ftp (0.17-26) unstable; urgency=low

  * Support GNU/Hurd:
    + debian/patches/050_support_gnu_hurd.diff: New file.
  * Simplify dynamic linking:
    + debian/control: No build dependency on libncurses-dev.
    + debian/patches/052_no_termcap_linking.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 28 Mar 2012 01:29:24 +0200

netkit-ftp (0.17-25) unstable; urgency=low

  * Prevent SYST request in non-auto-login. (Closes: #611284)
    + debian/patches/043_tune_non_autologin.diff: New file.
    + debian/README.Debian: New file, commenting on this change.
  * Missing line break. (Closes: #630524)
    + debian/patches/040_ipv6_ftp_c.diff: Updated patch.
  * debian/control: Make description conform to policy.
  * debian/copyright: Apply versioned reference to format specs.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 18 Jun 2011 02:36:02 +0200

netkit-ftp (0.17-24) unstable; urgency=low

  * Standards version 3.9.2.
    + debian/copyright: Include explicit BSD license text.
  * Copyright reformulated based on DEP-5.
  * Code simplification in IPv6 extension patch.
    + debian/patches/040_ipv6_ftp_c.diff: Updated patch.
  * Implement user commands in executable.
    + debian/patches/041_user_address_commands.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 19 Apr 2011 22:47:52 +0200

netkit-ftp-ssl (0.17.23+0.2-1) unstable; urgency=low

  * Update to netkit-ftp 0.17.23.
  * CFLAGS: add -g -fno-strict-aliasing.
  * Standards-Version: 3.9.0.
  * debian/copyright: explicitly embed BSD license.

 -- Ian Beckwith <ianb@debian.org>  Sun, 04 Jul 2010 01:45:37 +0100

netkit-ftp (0.17-23) unstable; urgency=low

  [Mats Erik Andersson]

  * Rework error recovery. (Closes: #582598)
    + 040_ipv6_ftp_c.diff: Updated file.
    + Avoid double free errors by freeing immediately at an intermediary error.
    + Conditional use of IP_TOS for GNU/kfreebsd.
  * debian/copyright: Explicit licensing for the IPv6 coding.
  * debian/rules: Added compiler flag '-fno-strict-aliasing'.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 25 May 2010 23:50:59 +0200

netkit-ftp-ssl (0.17.22+0.2-1) unstable; urgency=low

  * Update to netkit-ftp 0.17-22.
  * Refresh all patches.

 -- Ian Beckwith <ianb@debian.org>  Sun, 16 May 2010 22:56:14 +0100

netkit-ftp (0.17-22) unstable; urgency=low

  * Changes by Mats Erik Andersson.
    - Updated 040_ipv6_ftp_c.diff to fix double free error (Closes: #579532)
  * Added Mats to the Uploaders field.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 11 May 2010 12:01:39 +0200

netkit-ftp-ssl (0.17.21+0.2-1) unstable; urgency=low

  * Update to netkit-ftp 0.17-21
    + IPv6 support! (Closes: #336106)
      Thanks to Mats Erik Andersson <mats.andersson@gisladisker.se>.
  * Convert to format 3.0 (quilt).
  * Extract source changes to patches in debian/patch/, annotate
    patches in DEP3 format. SSL patches start at 500, patches
    below that are imported unchanged from the debian netkit-ftp
    package.
  * 520_check_ssl_new.diff: also check return valueof SSL_new()
    when setting up a data connection.
  * debian/rules:
    + Use -fno-strict-aliasing to avoid warnings from
      type-punning sockaddr_storage.
    + Remove unnecessary extra '-g' from CFLAGS.
  * debian/watch: check for new debian package of netkit-ftp.
  * Standards-Version: 3.8.4 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Fri, 09 Apr 2010 02:41:25 +0100

netkit-ftp (0.17-21) unstable; urgency=low

  * Updated 040_ipv6_ftp_c.diff with Mats' latest patch

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 30 Mar 2010 16:45:04 +0200

netkit-ftp (0.17-20) unstable; urgency=low

  * Changes by Mats Erik Andersson. Thanks for the HUGE patch!
    - Migrate to format "3.0 (quilt)".
    - debian/control: Adding ${misc:Depends} due to Debhelper.
    - debian/substvars: Deleted file.
    - debian/watch: New file.
    - Extract in-situ patches. Deposited in debian/patches/:
      + 010_patches_in_sarge.diff
      + 020_optional_stripping.diff
      + 025_long_cmd_overflow.diff
      + 030_argv_handling.diff
    - [lintian] New patch 035_lintian_pedantic.diff.
    - New patch for IPv6-capability: 040_ipv6_ftp_c.diff (Closes: #228752)
    - [lintian] maintainer-script-without-set-e: debian/{postinst,prerm}
  * Bumped Standards-Version to 3.8.4.0.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 30 Mar 2010 16:19:20 +0200

netkit-ftp-ssl (0.17.19+0.2-1) unstable; urgency=low

  * Update to netkit-ftp 0.17-19.
  * ftp/cmds.c: fix typo.
  * debian/control: remove DM-Upload-Allowed flag.

 -- Ian Beckwith <ianb@debian.org>  Wed, 23 Sep 2009 01:48:43 +0100

netkit-ftp (0.17-19) unstable; urgency=low

  * Patched main.c to fix memory management on command line arguments.
    Thanks a lot to Mark Calderbank for the patch.
    (Closes: #508378, #505533, #510009)
  * debian/control: replaced libreadline5-dev with libreadline-dev
  * Moved to debhelper compat 7
  * Bumped Standards-Version to 3.8.3.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 14 Sep 2009 13:35:40 +0200

netkit-ftp-ssl (0.17.18+0.2-3) unstable; urgency=low

  * Use editline instead of readline (Closes: #531822)
    Licensing problems forbid us from linking to readline
    and openssl in the same binary.
  * Explicitly Build-Depend on libncurses5-dev, was previously
    pulled in indirectly by libreadline5-dev.
  * Standards-Version: 3.8.1 (no changes).
  * Change maintainer email address.

 -- Ian Beckwith <ianb@debian.org>  Sat, 06 Jun 2009 16:10:42 +0100

netkit-ftp-ssl (0.17.18+0.2-2) unstable; urgency=low

  * Incorporate Ubuntu patch (LP: #184626) to fix segfault when no
    parameter is given to -z. Thanks to Alexander Gitter (Closes: #506137).
  * Added stub watch file.
  * Standards-Version: 3.8.0 (no changes).
  * control: removed superfluous Section: field.
  * prerm, postinst: use set -e instead of /bin/sh -e

 -- Ian Beckwith <ianb@erislabs.net>  Wed, 25 Feb 2009 23:00:16 +0000

netkit-ftp-ssl (0.17.18+0.2-1) unstable; urgency=low

  * New maintainer (Closes: #476131).
  * Update to netkit-ftp 0.17.18.
  * Initialize SSL even when -n is used (Closes: #450723).
    Also enforce -z secure in USER command.
  * Fix nostrip and noopt DEB_BUILD_OPTIONS (Closes: #437616).
  * Fix all warnings in source.
  * Remove dpatch - not worth it for one change out of many.
  * Remove ncurses Build-Dep and drop it from LIBTERMCAP setting,
    as we don't actually use it.
  * ftp.1: Document SSL options, fix typos & hyphen quoting.
  * ftp -h: Document SSL options.
  * Add DM-Upload-Allowed: yes.
  * Update debian/copyright.
  * Bump debhelper compat level to 5.
  * Remove unused debhelper calls.
  * Use netkit-ftp_0.17.orig.tar.gz as our orig.tar.gz.

 -- Ian Beckwith <ianb@erislabs.net>  Fri, 25 Apr 2008 00:22:46 +0100

netkit-ftp (0.17-18) unstable; urgency=low

  * Clean patch applied in previous version. Thanks Steve for helping 
    again with this.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 26 Mar 2008 18:31:12 +0100

netkit-ftp (0.17-17) unstable; urgency=low

  * Applied patch by Steve Kemp to fix buffer overflow in ftp
    commands. (Closes: #391207, #407924)
    Thanks a lot Steve for looking into this.
  * Removed stripping from Makefile. Added it as an option in
    debian/rules. (Closes: #437615)
  * Bumped Standards-Version to 3.7.3. Did some cleaning.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 21 Mar 2008 18:14:02 +0100

netkit-ftp (0.17-16) unstable; urgency=low

  * Build with libreadline5-dev again. Don't know how libreadline4-dev
    managed to get back to debian/control. (Closes: #340302)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 22 Nov 2005 19:57:36 +0100

netkit-ftp (0.17-15) unstable; urgency=low

  * debian/control: Added Depends: on netbase (Closes: #340082)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 21 Nov 2005 10:18:15 +0100

netkit-ftp (0.17-14) unstable; urgency=low

  * Rebuild with libreadline5-dev (Closes: #326364, #336572)
  * Removed /usr/share/doc/ftp/README since it didn't contain
    useful information. (Closes:#323231)
  * Bumped Standards-Version to 3.6.2.0, no change.
  * Moved to debhelper compatibility 4. Created debian/compat.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 14 Nov 2005 16:25:56 +0100

netkit-ftp (0.17-13) unstable; urgency=low

  * New maintainer.
  * debian/control. Build-Depends: Added libreadline4-dev as 
    alternative to libreadline-dev
  * debian/control. Removed full stop from package description to make
    lintian happy.
  * debian/control. Bumped Standards-Version to 3.6.1.0, no change.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 12 Mar 2005 12:15:12 +0100

netkit-ftp-ssl (0.17.12+0.2-6) unstable; urgency=low

  * Apply ftp-tls patch by Andreas Oberritter to support TLS authenticaton
  and (optional) data connection encryption

 -- Cai Qian <caiqian@debian.org>  Tue, 11 Oct 2005 19:35:00 +0100

netkit-ftp-ssl (0.17.12+0.2-5) unstable; urgency=low

  * Build-Depends against libreadline5-dev (Closes: #326363)
  * Fixed typo in manpage (Closes: #298063)
  * Fixed needless conflicts (Closes: #309388)

 -- Cai Qian <caiqian@debian.org>  Tue, 27 Sep 2005 22:07:00 +0100
	
netkit-ftp-ssl (0.17.12+0.2-4) unstable; urgency=low

  * Build-Depends against libreadline4-dev (Closes: #279415)
  * followed debhelper v4

 -- Cai Qian <caiqian@gnome.org>  Wed, 15 Nov 2004 10:30:00 +0800
 
netkit-ftp-ssl (0.17.12+0.2-3) unstable; urgency=low

  * ftp-ssl should not conflict with lftp (Closes: #161710)
  * Adjust wrong Maintainer field (Closes: #277717)

 -- Cai Qian <caiqian@gnome.org>  Fri, 22 Oct 2004 13:30:00 +0800

netkit-ftp-ssl (0.17.12+0.2-2) unstable; urgency=low

  * New maintainer (Closes: #250712)
  * Add lftp to Conflicts in control file (Closes: #161710)

 -- Cai Qian <caiqian@gnome.org>  Sun, 26 Sep 2004 22:00:00 +0800

netkit-ftp-ssl (0.17.12+0.2-1) unstable; urgency=low

  * Bring netkit-ftp-ssl in line with current netkit-ftp
  * patch to make ftp-ssl compatible with other ftp/ssl
    implementations. (Closes: #168762)
  * add patch for GNU/HURD (Closes: #218336)
  * fix manpage (Closes: #250587)
  * build for sid/sarge (Closes: #189599)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Thu, 27 May 2004 16:10:10 +0200

netkit-ftp (0.17-12) unstable; urgency=low

  * New maintainer. (Closes: #249706)
    - control (Maintainer): Set myself.

 -- Robert Millan <rmh@debian.org>  Wed, 19 May 2004 02:09:50 +0200

netkit-ftp (0.17-11) unstable; urgency=low

  * Added netrc(5) reference to ftp(1).
  * Added port to SYNOPSIS in ftp(1) (closes: #191497).

 -- Herbert Xu <herbert@debian.org>  Sun, 29 Jun 2003 15:37:35 +1000

netkit-ftp (0.17-10) unstable; urgency=low

  * Fixed LFS problem with ptransfer bytes count (closes: #143469).

 -- Herbert Xu <herbert@debian.org>  Fri, 19 Apr 2002 19:27:58 +1000

netkit-ftp-ssl (0.17.9+0.2-4) unstable; urgency=low

  * change section to net and priority to extra 

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sun, 29 Sep 2002 18:04:50 +0200

netkit-ftp-ssl (0.17.9+0.2-3) unstable; urgency=low

  * fix broken passive mode while SSL is enabled (thanks to Stefan Esser
    <sesser@php.net>) 

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sun, 29 Sep 2002 14:46:03 +0200

netkit-ftp-ssl (0.17.9+0.2-2) unstable; urgency=low

  * moved from nonus to main

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sat, 23 Mar 2002 12:10:37 +0100

netkit-ftp-ssl (0.17.9+0.2-1) unstable; urgency=low

  * Fixed more LFS issues (Hiroyuki YAMAMO, #126521).
  * Built with support for large files.

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Thu,  7 Mar 2002 08:44:50 +0100

netkit-ftp (0.17-9) unstable; urgency=low

  * Fixed more LFS issues (Hiroyuki YAMAMO, #126521).

 -- Herbert Xu <herbert@debian.org>  Fri, 28 Dec 2001 20:05:07 +1100

netkit-ftp (0.17-8) unstable; urgency=low

  * Built with support for large files.

 -- Herbert Xu <herbert@debian.org>  Tue, 11 Dec 2001 19:02:28 +1100

netkit-ftp-ssl (0.17.7+0.2-1) unstable; urgency=low

  * bring in line with netkit-ftp
    * corrected error in netrc(5) manpage (99527)
    * No longer provides ftp-client.
    * Check for NULL pointers in abort_remote().
  * hopefully better changelog now (closes: #91347)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Wed, 21 Nov 2001 16:36:45 +0100

netkit-ftp (0.17-7) unstable; urgency=low

  * Moved second entry in NAME of netrc(5) to SYNOPSIS (closes: #99527).

 -- Herbert Xu <herbert@debian.org>  Thu, 14 Jun 2001 19:12:49 +1000

netkit-ftp (0.17-6) unstable; urgency=low

  * No longer provides ftp-client.
  * Check for NULL pointers in abort_remote().

 -- Herbert Xu <herbert@debian.org>  Wed, 30 May 2001 19:22:30 +1000

netkit-ftp-ssl (0.17.5+0.2-1) unstable; urgency=low

  * new upstream ssl-patch (0.2) brings working -z secure option 
  * build with readline support (closes: #97213)
  * include SSL options into manpage 

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sun, 13 May 2001 17:30:22 +0200

netkit-ftp-ssl (0.17.5+0.1-1) unstable; urgency=low

  * bring netkit-ftp updates to -ssl
  * provides,conflicts,replaces ftp (closes: #86656, #86657, #87453, #86783)
  * builddepend on libssl-dev

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sat, 10 Mar 2001 17:33:56 +0100

netkit-ftp (0.17-5) unstable; urgency=low

  * Provide ftp-client (closes: #86782).
  * Check cin and cout at the top of getreply() (closes: #87845).

 -- Herbert Xu <herbert@debian.org>  Wed, 28 Feb 2001 20:37:58 +1100

netkit-ftp-ssl (0.17.4+0.1-1) unstable; urgency=low

  * initial netkit-ftp-ssl release

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sun, 18 Feb 2001 13:44:34 +0100

netkit-ftp (0.17-4) unstable; urgency=low

  * Added a missing terminating NUL in quote1().

 -- Herbert Xu <herbert@debian.org>  Mon,  9 Oct 2000 18:59:21 +1100

netkit-ftp (0.17-3) unstable; urgency=low

  * Added build-time dependency on debhelper (closes: #69103).
  * Replace control characters by ? on stdout if it is a tty.  Also
    configurable via qc (closes: #69712).

 -- Herbert Xu <herbert@debian.org>  Sat, 26 Aug 2000 12:41:30 +1000

netkit-ftp (0.17-2) unstable; urgency=low

  * Empty lines no longer cause ftp to exit.
  * Protect obstack_free(3) with INTOFF/INTON.

 -- Herbert Xu <herbert@debian.org>  Sat, 12 Aug 2000 11:20:55 +1000

netkit-ftp (0.17-1) unstable; urgency=low

  * New upstream release.
  * Use glob(3).
  * Use obstacks.

 -- Herbert Xu <herbert@debian.org>  Thu, 10 Aug 2000 20:39:09 +1000

netkit-ftp (0.16-8) unstable; urgency=low

  * Fixed an incorrect call to command() in quote1() (closes: #66901).

 -- Herbert Xu <herbert@debian.org>  Sat,  8 Jul 2000 12:14:59 +1000

netkit-ftp (0.16-7) unstable; urgency=low

  * The pipeprotect() problem also affected globulize().  So instead of having
    them always return malloced memory, the result is now checked to see if
    it is malloced or not.  This fixes a core dump observed by Jeff Lessem
    (closes: #63656).
  * Added code to protect globulize() in ls().
  * Removed duplicate globulize() calls in ls().

 -- Herbert Xu <herbert@debian.org>  Sun, 14 May 2000 10:28:34 +1000

netkit-ftp (0.16-6) unstable; urgency=low

  * pipeprotect() now always returns malloced memory.  This fixes a core dump
    reported by Mike Baker.

 -- Herbert Xu <herbert@debian.org>  Mon,  1 May 2000 15:20:30 +1000

netkit-ftp (0.16-5) unstable; urgency=low

  * An attempt to fix some SIGINT races, a lot more needs to be done as the
    current code is a piece of crap.  Unfortunately the same holds for the
    current ftp code in the various BSD variants so we can't steal from them
    (closes: #62494).
  * SIGPIPE is now ignored as errors are now handled in the code
    (closes: #56222).

 -- Herbert Xu <herbert@debian.org>  Mon, 24 Apr 2000 13:03:03 +1000

netkit-ftp (0.16-4) unstable; urgency=low

  * Added dynamic allocation for macro expansion (closes: #62307).

 -- Herbert Xu <herbert@debian.org>  Fri, 14 Apr 2000 15:01:36 +1000

netkit-ftp (0.16-3) unstable; urgency=low

  * Fixed a coredump due to uninitialised parameters (closes: #61036).

 -- Herbert Xu <herbert@debian.org>  Thu, 30 Mar 2000 14:24:22 +1000

netkit-ftp (0.16-2) unstable; urgency=low

  * Recompiled against libreadline4 (closes: #61139).

 -- Herbert Xu <herbert@debian.org>  Tue, 28 Mar 2000 19:04:02 +1000

netkit-ftp (0.16-1) unstable; urgency=low

  * New upstream release.
  * Merged changes from the NMU (closes: #59682, #44778, #46132, #55652,
    #57906).
  * Added support for arbitrarily long command lines (closes: #21672).
  * ftp(1) is now installed as netkit-ftp and update-alternatives is now used
    (closes: #55610).

 -- Herbert Xu <herbert@debian.org>  Thu, 23 Mar 2000 21:07:33 +1100

netkit-ftp (0.10-3.1) frozen unstable; urgency=low

  * Non-maintainer upload (Herbert Xu is still away, it seems).
  * Recompiled against libreadline4 and libncurses5, more properly
    closes: #44778, #46132, #55652, #57906. [ftp is Priority: standard]
  * Updated for Policy 3.x. Lintian clean.
  * Changed some bits and pieces in the build system.

 -- Josip Rodin <jrodin@jagor.srce.hr>  Sun, 13 Feb 2000 01:20:28 +0100

netkit-ftp (0.10-3) unstable; urgency=low

  * Initialise transfer types upon login (fixes #20721).

 -- Herbert Xu <herbert@debian.org>  Sun, 27 Jun 1999 13:38:08 +1000

netkit-ftp (0.10-2) unstable; urgency=low

  * Fixed buffer overrun with long lines (reported by +VipVop
    <vipvop@loop.com>).

 -- Herbert Xu <herbert@debian.org>  Sun, 20 Jun 1999 12:36:31 +1000

netkit-ftp (0.10-1) unstable; urgency=low

  * Initial Release.
  * Fixed a Y2K problem with patch from Jeff Smith
    <Jeff.Smith@dcs.warwick.ac.uk> (fixes #39150).

 -- Herbert Xu <herbert@debian.org>  Fri, 18 Jun 1999 22:39:23 +1000

